Name:          ehcache-core
Version:       2.4.3
Release:       %mkrel 1
Summary:       Ehcache Core
Group:         Development/Java
License:       ASL 2.0
Url:           http://ehcache.org/
# svn export http://svn.terracotta.org/svn/ehcache/tags/ehcache-core-2.4.3/
# tar czf ehcache-core-2.4.3-src-svn.tar.gz ehcache-core-2.4.3
Source0:       ehcache-core-2.4.3-src-svn.tar.gz

Patch0:        ehcache-core-2.4.3-pom.patch
Patch1:        ehcache-core-2.4.3-no-checkstyle-plugin.patch

BuildRequires: java-devel
BuildRequires: jpackage-utils
BuildRequires: ehcache-parent

# build
BuildRequires: hibernate3
BuildRequires: geronimo-jta
BuildRequires: servletapi5
BuildRequires: slf4j

BuildRequires: buildnumber-maven-plugin
BuildRequires: gmaven
BuildRequires: gmaven-runtime-1.6
BuildRequires: maven
BuildRequires: maven-antrun-plugin
BuildRequires: maven-assembly-plugin
BuildRequires: maven-changes-plugin
BuildRequires: maven-checkstyle-plugin
BuildRequires: maven-compiler-plugin
BuildRequires: maven-doxia
BuildRequires: maven-gpg-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-plugin-jxr
BuildRequires: maven-project-info-reports-plugin
BuildRequires: maven-site-plugin
BuildRequires: maven-source-plugin
BuildRequires: maven-surefire-plugin
BuildRequires: xml-maven-plugin

# TODO test
# hibernate-ehcache 3.3.2.GA
BuildRequires: bsh
BuildRequires: btm
BuildRequires: derby
BuildRequires: dom4j
BuildRequires: javassist
BuildRequires: junit4
BuildRequires: mockito
BuildRequires: sun-xsom

Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:      java
BuildArch:     noarch

%description
This is the ehcache core module. Pair it with other modules for added functionality.

%package javadoc
Summary:       Javadocs for %{name}
Group:         Development/Java
Requires:      jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n ehcache-core-%{version}
%patch0 -p0
%patch1 -p0
find \( -name '*.jar' -o -name '*.class' \) -exec rm -f '{}' \;

%build
mvn-rpmbuild \
  -e \
  -Dmaven.test.skip=true \
  install javadoc:aggregate

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

mkdir -p %{buildroot}%{_javadir}
install -pm 644 target/ehcache-core-%{version}.jar \
  %{buildroot}%{_javadir}/ehcache-core.jar
  
mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-ehcache-core.pom
%add_maven_depmap JPP-ehcache-core.pom ehcache-core.jar
%add_to_maven_depmap net.sf.ehcache ehcache %{version} JPP ehcache-core

mkdir -p %{buildroot}%{_javadocdir}/ehcache-core
cp -pr target/site/apidocs/* %{buildroot}%{_javadocdir}/ehcache-core

%clean
[ %{buildroot} != / ] && rm -rf %{buildroot}

%post
%update_maven_depmap

%preun
%update_maven_depmap

%files
%{_javadir}/ehcache-core.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*

%files javadoc
%{_javadocdir}/ehcache-core


%changelog

* Thu Oct 27 2011 gil <gil> 2.4.3-1.mga2
+ Revision: 158615
- imported package ehcache-core

